Subject: [SPIRITS] Re: [PINT] UDP support changed from SHOULD to MUST

From: Alec Brusilovsky <[email-masked]>
Date: Fri, 09 Jun 2000 14:28:53 -0500

Please see my comments inline.

Regards,
Alec

Lawrence Conroy wrote:

> *       UDP support changed from SHOULD to MUST in SIP 2453 bis draft.
> It looks like support for UDP is gradually moving from a SHOULD to a
> MUST in SIP.
>
> In PINT we may not have that assumption. We can have a good reason
> for using TCP only (inline content, security using TLS, ...), so *for
> PINT* I'd prefer to leave this as a SHOULD.
>

I would like to add to what Lawrence is saying that some SIP applications
might need a more flexible and rapid session set up than others. PINT is a
good example, SPIRITS might as well be another one, assuming that the WG
will decide to use SIP.

>
> I wonder if the move to a MUST in the core spec will cause grief for
> any other extension or application.
>
> The key point here is ->in the core spec<-

Looks like the core spec. needs to be more accommodating to the needs of
extensions (PINT). SHOULD is just fine. Why break something that actually
works?

>
>
> I had the same feeling at the Interim meeting in D.C. when the
> subject of "Busy Line Verification" was raised - there's a lot of
> focus on VoIP, when I can easily imagine SIP being used for a much
> wider set of applications even for "straight" conferences; for
> example, Quake, as Dean suggests.
> Let's imagine an Operator listening in on the sampled Quake audio
> track that I'm conferencing. How long before the Police arrive? An
> over-emphasis on VoIP can lead to bad assumptions, IMHO - SIP is much
> wider than that.
> --
> [email-masked] -- +44 1794 833666
> -------------------------------------------------------------
> Herewith a pointless waste of a few lines, stating that
> Roke Manor Research Limited is NOT responsible for my rantings
> and that they would very much like people to sue me rather than
> them if this email contains racist or sexist comments, please.
> Also, I can't do anything; only our lawyers can, so speak to them.
> Oh, and by the way, if our I.T. department has so mangled our
> email system that this has been misdirected, beware that having
> read this far, your eyes are about to fall out from reading
> this highly sensitive information, unless you immediately
> forget that this ever darkened your mailbox. Do it now.
> -------------------------------------------------------------
>
> _______________________________________________
> PINT mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/pint

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 10 Jun 2000 00:29:09 -0400

> good example, SPIRITS might as well be another one, assuming that the WG

Right; both UDP and TCP are still there. You can still do TCP if you
want, or just UDP, but just not ONLY TCP.

> extensions (PINT). SHOULD is just fine. Why break something that actually

Because it doesn't - thats the problem. UA to UA interoperability is not
possible in all cases unless there is a baseline transport. The "core
spec" must be a workable protocol in its own right, without
clarifications and specifics being defined only in extensions, as pint
is.

-Jonathan R.
-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

_______________________________________________
SPIRITS mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/spirits